Skip Menu |
 

This queue is for tickets about the App-lcpan-CmdBundle-weaver CPAN distribution.

Report information
The Basics
Id: 131407
Status: resolved
Priority: 0/
Queue: App-lcpan-CmdBundle-weaver

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.030
Fixed in: (no value)



Subject: Tests fail (with older Hash::Subset?)
Download (untitled) / with headers
text/plain 1.1k
The test suite fails like this: ... # Failed test 'App/lcpan/Cmd/weaver_bundle.pm loaded ok' # at t/00-compile.t line 59. # got: '65280' # expected: '0' "hash_subset_without" is not exported by the Hash::Subset module Can't continue after import errors at /usr/home/cpansand/.cpan/build/2020011001/App-lcpan-CmdBundle-weaver-0.030-2/blib/lib/App/lcpan/Cmd/weaver_bundle.pm line 11. BEGIN failed--compilation aborted at /usr/home/cpansand/.cpan/build/2020011001/App-lcpan-CmdBundle-weaver-0.030-2/blib/lib/App/lcpan/Cmd/weaver_bundle.pm line 11. Compilation failed in require at -e line 1. ... Statistical analysis suggests that this happens if Hash::Subset is not vesion 0.005, so probably a version should be specified in the prereq specification: **************************************************************** Regression 'mod:Hash::Subset' **************************************************************** Name Theta StdErr T-stat [0='const'] 0.0000 0.0000 16.19 [1='eq_0.005'] 1.0000 0.0000 45625538366975072.00 R^2= 1.000, N= 42, K= 2 ****************************************************************
Download (untitled) / with headers
text/plain 1.2k
Fixed, thanks. On Fri, 10 Jan 2020 05:59:39 GMT, SREZIC wrote: Show quoted text
> The test suite fails like this: > > ... > # Failed test 'App/lcpan/Cmd/weaver_bundle.pm loaded ok' > # at t/00-compile.t line 59. > # got: '65280' > # expected: '0' > "hash_subset_without" is not exported by the Hash::Subset module > Can't continue after import errors at > /usr/home/cpansand/.cpan/build/2020011001/App-lcpan-CmdBundle-weaver- > 0.030-2/blib/lib/App/lcpan/Cmd/weaver_bundle.pm line 11. > BEGIN failed--compilation aborted at > /usr/home/cpansand/.cpan/build/2020011001/App-lcpan-CmdBundle-weaver- > 0.030-2/blib/lib/App/lcpan/Cmd/weaver_bundle.pm line 11. > Compilation failed in require at -e line 1. > ... > > Statistical analysis suggests that this happens if Hash::Subset is not > vesion 0.005, so probably a version should be specified in the prereq > specification: > > **************************************************************** > Regression 'mod:Hash::Subset' > **************************************************************** > Name Theta StdErr T-stat > [0='const'] 0.0000 0.0000 16.19 > [1='eq_0.005'] 1.0000 0.0000 45625538366975072.00 > > R^2= 1.000, N= 42, K= 2 > ****************************************************************


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.